<?php

namespace FiloBlu\Newsletter\Block\Account\Create;

class AdditionalFields extends \Magento\Framework\View\Element\Template {

    /**
     * Helper
     *
     * @var \FiloBlu\Newsletter\Helper\Data
     */
    public $_helper;
    public $_directoryBlock;

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context, array $data = [], \FiloBlu\Newsletter\Helper\Data $helper, \FiloBlu\Newsletter\Block\Widget\Country $directoryBlock
    ) {
        $this->_helper = $helper;
        $this->_directoryBlock = $directoryBlock;
        
        parent::__construct($context, $data);
    }

    public function getCountries() {
        $country = $this->_directoryBlock->getCountryHtmlSelect();
        return $country;
    }

    protected function _toHtml() {

        if (!$this->_helper->getConfig("general/enabled")) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }

}
